* 2003/05/10 06:34 JST [rao]
機能，メンバ・グループの右クリックメニュー，タブメニューにプラグインからメニュー項目を追加する機能を追加

* 2003/05/11 16:21 JST [rao]
セッションのフォント情報が正しく記録されないバグを修正

* 2003/05/11 18:32 JST [rao]
ID = 0 のグループがメンバリストの最上位に来るように変更

* 2003/05/12 14:00 JST [rao]
メンバのヒントをプラグインから設定出来るように変更

* 2003/05/15 16:29 JST [rao]
Hotmailの未読をメンバリストに表示するように変更．
[2003/05/11 18:32の変更]はキャンセルして，ID < 0 のグループはグループ番号でソートして通常のグループ(ID >=0)よりも上になるように変更．ID >= 0 のグループは名前でソート

* 2003/05/15 17:00 JST [rao]
Hotmailの未読設定の際のNMCI_USER_MAILSTATUSの引数をより自然なものに変更
旧)
 -1: 未読なし
  0: UIに表示しない
1〜: 未読あり（1以上）
新）
 -1: UIに表示しない
  0: 未読なし
1〜: 未読あり（1以上）

* 2003/05/15 19:10 JST [rao]
セッションウィンドウで[ファイル]→[保存]で保存しようとすると「List index out of bounds」エラーが発生するバグを修正

* 2003/05/15 22:32 JST [rao]
タスクバーが上または左にあるときに，タスクバーにくっつけた状態で終了し，再起動するとタスクバーにめり込むというバグを修正

* 2003/05/15 23:22 JST [rao]
会話ウィンドウのタブの再利用

* 2003/05/16 00:10 JST [rao]
背景画像を右下に配置する Right-Bottom オプションを追加

* 2003/05/16 00:27 JST [rao]
色指定がない場合のメッセージのデフォルトカラーを黒にした．

* 2003/05/16 01:31 JST [rao]
パスワード無しのプロファイルの作成を可能にしました．

* 2003/05/16 01:51 JST [rao]
「〜入力中です」の実装に向けて会話ウィンドウの入力部にイベントを追加

* 2003/05/17 00:50 JST [rao]
スキンの [MenuBar] Font-Color = が反映されなかったバグを修正

* 2003/05/17 16:57 JST [rao]
ホットメール周りの設定をダイアログに追加

* 2003/05/17 20:32 JST [rao]
メンバの招待メニューにオンラインのメンバリストを表示

* 2003/05/18 01:03 JST [rao]
タブメニューにタブリストを表示

* 2003/05/18 14:42 JST [rao]
分離したタブウィンドウを最小化した状態で親コンテナに収納すると，親コンテナ内で最小化したままになってしまうバグを修正

* 2003/05/18 15:33 JST [rao]
メインウィンドウを最小化または非表示にした状態で終了すると，次に起動した際にリサイズグリップが表示されないというバグを修正

* 2003/05/18 17:42 JST [rao]
[2003/05/17 16:57 JST [rao]] の修正でCVSツリーのほうに反映しわすれてました…（Sapphireさんの就活日記を見て発覚（ｗ）

* 2003/05/18 23:17 JST [rao]
Regnessemまでのパスに空白が含まれているときに，幾つかのブラウザでhotmailをうまく開けない場合がある問題を修正

* 2003/05/18 23:34 JST [rao]
会話ウィンドウの招待メニューに，すでに会話に参加している人は表示しないように変更

* 2003/05/19 16:49 JST [rao]
後からサインインした人が会話ウィンドウの招待メニューに追加されない問題を修正

* 2003/05/19 17:20 JST [rao]
タブメニューからアクティブタブを変更したときに，そのタブがタブリストの左端にくるようにタブリストの表示を変更するように修正

* 2003/05/19 17:46 JST [rao]
希に未読メール数表示が消えてしまうバグに場当たり的な対処

* 2003/05/19 19:31 JST [rao]
会話ウィンドウの To: の部分を WordWrap するように変更．メンバ名の途中で改行が入りますが，とりあえずの対処ということで…

----------------------------------------
* 2003/05/19 21:12 JST [rao]
Regnessem α10(Ver.0.5.10)リリース
----------------------------------------

* 2003/05/19 23:07 JST [rao]
未読メール数表示の右クリックでグループメニューが表示されるというバグを修正

* 2003/05/20 00:22 JST [rao]
ホットメール関係のコントロールにタブキーでフォーカスが移動しないバグを修正

* 2003/05/20 20:14 JST [rao]
会話ウィンドウのメニューバーに[MenuBar] Font-Colorが適用されていなかったバグを修正

* 2003/05/23 01:04 JST [rao]
メンバを未読メール表示にドラッグ＆ドロップするとエラーが発生するバグを修正

* 2003/05/24 23:28 JST [rao]
タブの再利用の部分の細かいバグ修正

* 2003/05/25 23:25 JST [rao]
Win9x系で問題が出るため，フォント情報を保存する際の区切り文字をタブから','（カンマ）に変更

* 2003/05/26 00:37 JST [rao]
メインウィンドウや会話ウィンドウの「接続中」の文字色を[Window] Font-Colorになるように変更

* 2003/05/26 03:50 JST [rao]
メインウィンドウのタブの再利用（未接続の文字をダブルクリックで再接続…）
ちと不安なり．あんまりオフィシャルにしたくない感じ（ｗ

* 2003/05/26 23:00 JST [rao]
受信メイルのFrom:がMIMEエンコーディングされている場合にデコードするように変更

* 2003/05/27 03:35 JST [rao]
ヒントのUnicode文字が化けるバグを修正（Win9x系OSはUnicode未対応なのでたぶん無意味）

* 2003/05/27 15:25 JST [rao]
hotmailからのメイルのFrom:がデコードできない問題を修正

* 2003/05/27 16:52 JST [rao]
タブのヒントが化けるバグを修正（[2003/05/27 03:35 JST [rao]]の修正でエンバグしてました）

* 2003/05/27 18:43 JST [rao]
会話ウィンドウのフォントバーのヒントが化けるバグを修正

* 2003/05/28 01:51 JST [rao]
会話ウィンドウの開くタイミングをオプションで指定できるようにしました．

* 2003/05/28 03:16 JST [rao]
ダイアログを閉じた時点で，プロファイルやオプションを保存するように変更

* 2003/05/28 04:23 JST [rao]
起動時にメインウィンドウを表示しないようにオプションで設定できるように変更

* 2003/05/30 23:18 JST [rao]
メインウィンドウのタブの再利用に関わるバグ取り．たぶんだいぶまともになったはず．

* 2003/06/01 00:47 JST [rao]
会話への参加・退席を表示するようにした

* 2003/06/01 00:51 JST [rao]
リサイズグリップをタブリストの後ろに配置するように変更

* 2003/06/02 05:04 JST [rao]
相手の入力中の表示（表示方法は改善の余地あり）

* 2003/06/02 05:16 JST [rao]
プラグインオプションの設定ボタンの位置を修正

* 2003/06/02 11:50 JST [rao]
typo修正…なぜ混入してたんだぁ（謎

* 2003/06/02 17:17 JST [rao]
こっちの入力中を先方に送る

* 2003/06/02 20:14 JST [rao]
α11に向けてバージョン番号の変更

* 2003/06/03 13:26 JST [rao]
プロファイルの編集画面にALT-Aが二つある問題を修正

* 2003/06/03 18:05 JST [rao]
メインウィンドウのタブを再利用した際にUIサービスが二重登録される問題を修正

* 2003/06/03 18:19 JST [rao]
メイルの未読表示の関係でログアウト時にエラーが出ることがある問題を修正

* 2003/06/03 18:40 JST [rao]
名前を変更したときに会話ウィンドウの名前が同期しない問題を修正

* 2003/06/03 23:43 JST [rao]
「〜が入力しています」をステータス領域に表示するように変更

* 2003/06/06 13:27 JST [rao]
会話タブの切り替え時や，コンテナからの切り離し/コンテナへの格納で
「〜が入力しています」表示が送られていたのを修正

* 2003/06/07 20:09 JST [rao]
「〜が入力しています」が送られると会話ウィンドウが開いてしまう問題を修正

----------------------------------------
* 2003/06/08 22:57 JST [rao]
Regnessem α11(Ver.0.5.11)リリース
----------------------------------------

* 2003/06/11 11:48 JST [rao]
メッセージ受信とウィンドウを開くタイミングによってメッセージを取りこぼす可能性がある箇所を修正

* 2003/06/24 22:22 JST [rao]
ポインタ周りのバグの修正

* 2003/06/29 05:50 JST [rao]
タスクバーにウィンドウを表示しないオプションを追加

* 2003/06/29 15:56 JST [rao]
スキンを変えた時にタスクバーにウィンドウが表示されるようになっていたので修正

* 2003/06/30 00:12 JST [rao]
Hotmailに未読がある場合，起動時に通知するオプションを追加

* 2003/06/30 13:49 JST [rao]
1664バイト以上のメッセージを送ろうとするとswitchboardサーバから切断されてしまうという
MSNサービスの仕様に合わせ，メッセージが1664バイト以上の場合には，送信可能なサイズに切
りつめる処理を追加

* 2003/06/30 14:49 JST [rao]
ウィンドウをタスクバーに表示しないように設定している場合も，会話ウィンドウについては
タスクバーに表示するように変更

* 2003/07/03 15:32 JST [rao]
子ウィンドウのクローズボタンを押した時に，子ウィンドウを閉じずに親ウィンドウに格納
するオプションを追加

* 2003/07/05 15:07 JST [rao]
親ウィンドウに格納しているときに子ウィンドウが閉じられない問題の修正

* 2003/07/07 04:09 JST [rao]
オプションダイアログの文字修正…

* 2003/07/08 19:29 JST [rao]
[removed]
[new files]
[updated]
プロキシ対応

* 2003/07/09 12:22 JST [rao]
未読メイルがある場合，当該アカウントのタブとウィンドウのタイトルに
'*'（アスタリスク）を付加するように変更

* 2003/07/18 01:26 JST [rao]
オプションパネルの整理．
これに合わせてタブサイズをメインウィンドウと会話ウィンドウで変更できるように変更．

* 2003/07/18 01:56 JST [Sapphire]
会話ウィンドウで Enter を押したときに「送信」と「改行の挿入」を選べるように
オプションを追加．「改行の挿入」時には Ctrl+Enter で「送信」します．

* 2003/07/18 02:42 JST [Sapphire]
メッセージを受信したときにタスクバーの点滅の有無を選べるようにオプションを追加．

* 2003/07/18 02:53 JST [Sapphire]
最後にメッセージを受信した時刻を会話ウィンドウのステータス領域に表示

* 2003/07/18 08:38 JST [rao]
ラベルの場所間違いを修正

* 2003/07/18 16:39 JST [rao]
タブ順序とプラグインパネルの設定ボタンの位置を修正

* 2003/07/26 13:08 JST [Sapphire]
URIがうまく切り出せていなかったのを修正

* 2003/07/26 14:07 JST [Sapphire]
URI切り出しがまだ不完全だったので再修正

* 2003/08/12 00:21 JST [rao]
[modified files]
(too many files to write down here.)
[new files]
[removed files]
ファイル送受信の実装

* 2003/08/12 14:44 JST [rao]
起動直後にアクティブでないメンバリストのタブにメイルの未読表示（*）がつかない問題を修正

* 2003/08/12 16:07 JST [rao]
メッセージを受け取った後も当該ユーザの「〜が入力中です」の表示が消えない問題を修正

* 2003/08/12 17:32 JST [rao]
ユーザの名前が変わると会話中にもかかわらずメインウィンドウがアクティブになる問題を修正

* 2003/08/12 20:01 JST [rao]
「新規テーマを取得」メニューのリンク先がライブラリのテーマページとなるように変更

* 2003/08/12 23:45 JST [rao]
デバッグ用の変更が残っていたのを元に戻しました．

* 2003/08/13 00:20 JST [rao]
タブを切り替えてもメインウィンドウのタイトルバーの表記が追従しない問題を修正

* 2003/08/13 14:21 JST [rao]
タブのマウスホイールによる切り替えをサポート

* 2003/08/15 18:38 JST [rao]
オプション設定後すぐにオプションを保存するように変更

* 2003/08/15 19:10 JST [rao]
メンバのプロファイルを開くUIサービスを追加

* 2003/08/17 00:11 JST [rao]
ファイル送受信時に空のタブができる可能性を修正

* 2003/08/17 02:41 JST [rao]
未接続状態からファイル送信を行うとフリーズする問題を修正

* 2003/08/20 00:44 JST [rao]
ファイル送受信ウィンドウのタブストップ順の修正

* 2003/08/20 02:18 JST [rao]
ファイル送受信関連の通知を行うように修正

* 2003/08/20 13:06 JST [rao]
同名のファイルを受信した時にファイル名の末尾に(数字)を付加するように変更

* 2003/08/20 13:12 JST [rao]
使用中のファイルを送信できない問題を解決

* 2003/08/21 18:12 JST [rao]
α12に向けてバージョン文字列の変更

* 2003/08/21 22:28 JST [rao]
プライバシーリストからの許可/禁止を実装．

* 2003/08/21 22:49 JST [rao]
α12に向けてバージョン文字列の変更

----------------------------------------
* 2003/08/23 17:00 JST [rao]
Regnessem α12(Ver.0.5.12)リリース
----------------------------------------

* 2003/08/25 03:22 JST [rao]
通信ログの記録方法の変更

* 2003/08/25 03:43 JST [rao]
オプションの付け方によっては送信時のサーバポートが正しく設定されない可能性があるのを修正

* 2003/08/25 23:12 JST [rao]
メイル通知の際に不具合が発生する可能性を減少

* 2003/08/26 08:15 JST [rao]
タブの多段表示に対応

* 2003/08/26 11:21 JST [rao]
ファイル送受信ウィンドウに関するオプションパネルのヒントが無かったのを修正

* 2003/08/26 11:55 JST [rao]
名前の修正

* 2003/08/26 23:29 JST [rao]
タブの多段表示の不具合を修正

* 2003/08/28 14:00 JST [rao]
ソースの整理

* 2003/08/29 10:30 JST [moon]
ファイル選択ダイアログからフォルダ選択ダイアログへ変更

* 2003/08/30 12:12 JST [rao]
D&Dによるファイル送信の実装
注）IEコンポが先にD&Dを受け付けてしまうので会話表示領域へのD&Dは無理です．
これについては，会話領域の右クリックメニューの処理と合わせて後ほど対処予定．

* 2003/08/31 02:35 JST [Sapphire]
Fix URI Trim　今度こそ･･･(汗

* 2003/08/31 23:37 JST [rao]
ファイルI/Oオブジェクトをクローズ直後に破棄するように変更
（これまではアプリ終了時まで保持していた）

* 2003/09/01 12:33 JST [Sapphire]
URI切り出しで括弧を除外

* 2003/09/03 03:57 JST [rao]
FileIO.dllにおいて構造体定義(Types)と定数定義(Consts)を分けた

* 2003/09/03 04:33 JST [rao]
StdCallを忘れてました…

* 2003/09/03 19:42 JST [Sapphire]
メッセージ入力時に日本語入力をオンにする

* 2003/09/04 23:03 JST [rao]
自動サインインを実行しないためのコマンドラインオプション -noautologin を実装

* 2003/09/04 23:34 JST [rao]
WinNT4.0の時にFlashWindowExを実行しないように変更．
（未テストなのでこれでWinNT4.0で動くとは限りませんが・・・）

* 2003/09/05 12:55 JST [Sapphire]
日本語入力自動ONの設定を保存し忘れていたのを修正

* 2003/09/06 17:08 JST [rao]
メンバグループの分類と並び替えをプロファイル（というかプロトコルとアカウント）毎
に変更できるようにしました．

* 2003/09/06 17:22 JST [rao]
FlashWindowExがない場合は利用しないように変更
これでNT4.0でも動くらしい（coutesy of 梨さん）

* 2003/09/06 18:49 JST [rao]
と思ったらWin2kとWinXPでダメポだったのでWindowのブリンクルーチンを差し替え…

* 2003/09/06 19:27 JST [rao]
メンバグループの分類のデフォルト設定をオプションから行えるように変更

* 2003/09/06 21:47 JST [rao]
メンバグループの実装による以下のバグを修正
 + 状態がメンバの右側に表示されなくなっていた
 + 未接続のダブルクリックで再接続できなくなっていた

* 2003/09/07 00:51 JST [Sapphire]
https://, ftp://に対応

* 2003/09/07 01:20 JST [rao]
一端メインウィンドウをアクティブにしたのち非アクティブにするとタスクバーの表示が
点灯していた問題を修正

* 2003/09/07 01:26 JST [rao]
プロキシダイアログでキャンセルボタンがデフォルトだったのをOKをデフォルトに修正

* 2003/09/07 15:21 JST [rao]
メンバリストのグループ分け，並び替えなどを変更したときに即座に保存するように変更

* 2003/09/07 15:37 JST [rao]
副作用の可能性があるのでメンバリストの分類/並び替えの更新をApplyConfigから外した

* 2003/09/08 01:12 JST [rao]
メインウィンドウをタスクバーに表示せず，かつ，起動時にメインウィンドウを表示しな
い設定の場合に左下に最小化されたウィンドウが表示される問題を修正

* 2003/09/09 00:52 JST [Sapphire]
取り込み中等でのログインに対応

* 2003/09/09 01:06 JST [Sapphire]
タブオーダー修正･･･

* 2003/09/09 09:53 JST [Sapphire]
コンボボックスにおける条件判定をtextからindexに修正

* 2003/09/10 20:46 JST [rao]
ファイルセッションウィンドウが出ている状態で会話セッションウィンドウを閉じると
エラーになるバグを修正…できたか？

* 2003/09/17 22:34 JST [rao]
2つ以上のファイルを同時に送信できない問題を修正…できたか？

* 2003/09/19 01:38 JST [rao]
会話中にメインウィンドウがアクティブになってしまうことがある問題を修正…できた？
（最近こればっかり…涙）

* 2003/09/22 00:39 JST [rao]
開発環境の設定を相対パスにしました．
また，本体とプラグインの出力先を開発ディレクトリ直下のTestディレクトリとしました．
以下，開発環境のディレクトリ構成
  \
  |
  +-APIWindow
  | 
  +-MinApp
  |
  +-Regnessem
  |   |    
  |   +-Common
  |   |
  |   +-Components
  |   |
  |   +-FileIO.dll
  |   |
  |   +-msn.dll
  |   |
  |   +-nsmsgs
  |   |
  |   +-SimpleUI.dll
  |   |
  |   +-Utils
  |
  +-Test <---------- nsmsgs.exeの出力先
      |
      +-Plugins <--- プラグインの出力先

* 2003/09/22 01:42 JST [rao]
メイルの未読数書き換えの際に不具合が発生する可能性があったのを修正

* 2003/09/22 03:53 JST [rao]
グループID=0のグループとグループID<0のグループが混在したときに正しく並ばない
場合があるのを修正（thx 技術系の話スレッド 330さん）

* 2003/09/25 20:35 JST [rao]
通知，ヒントなどのUNICODE対応

* 2003/09/26 01:06 JST [rao]
Notifyウィンドウでメッセージがウィンドウ幅に合わせて改行されない問題を修正

* 2003/09/27 01:54 JST [rao]
Notifyウィンドウでエラーが発生する可能性のある問題点を幾つか修正

* 2003/09/27 23:47 JST [rao]
コネクション接続初期にキャプションが正しく設定されない問題を修正

* 2003/09/28 01:24 JST [rao]
コネクションの状態が接続，切断になったときの通知が動作しない問題を修正

* 2003/09/28 03:36 JST [rao]
いずれかのウィンドウがアクティブな場合に全ての通知を出さないオプションを追加

* 2003/09/28 23:17 JST [rao]
UFrmWebBrowser.pasの独立性を高める修正

* 2003/09/29 01:39 JST [rao]
α13に向けてバージョン番号の変更

* 2003/09/29 15:55 JST [rao]
メインメニューとタブメニューのUIサービスの第1引数（wParam）にアクティブなコネ
クションのハンドル（HNsmConnection）を渡すように変更．
アクティブなウィンドウがない場合は0を渡します．

* 2003/09/29 19:51 JST [Sapphire]
ログイン状態の左に状態を示す小さな画像を表示

* 2003/09/30 00:14 JST [rao]
バージョン間違い…（汗
